summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-01 12:37:53 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-01 12:37:53 +0000
commit0b5df56672c04ca0fda55a5c4e1f5d567ceba66b (patch)
tree14ce5b066120f5fc347c771d1056c75d85cd0d0a /dev-python
parent4481f2c093dc2c79403868c791edace7723dd1df (diff)
downloadbaldeagleos-repo-0b5df56672c04ca0fda55a5c4e1f5d567ceba66b.tar.gz
baldeagleos-repo-0b5df56672c04ca0fda55a5c4e1f5d567ceba66b.tar.xz
baldeagleos-repo-0b5df56672c04ca0fda55a5c4e1f5d567ceba66b.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cftime/Manifest1
-rw-r--r--dev-python/cftime/cftime-1.4.0.ebuild28
-rw-r--r--dev-python/cftime/metadata.xml4
-rw-r--r--dev-python/cmd2/Manifest1
-rw-r--r--dev-python/cmd2/cmd2-1.5.0.ebuild50
-rw-r--r--dev-python/flask-paginate/Manifest1
-rw-r--r--dev-python/flask-paginate/flask-paginate-0.8.1.ebuild23
-rw-r--r--dev-python/jupyter_core/Manifest1
-rw-r--r--dev-python/jupyter_core/jupyter_core-4.7.1.ebuild42
-rw-r--r--dev-python/llfuse/Manifest1
-rw-r--r--dev-python/llfuse/llfuse-1.4.1.ebuild39
-rw-r--r--dev-python/markups/Manifest1
-rw-r--r--dev-python/markups/markups-3.1.0.ebuild42
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-2.5.2.ebuild47
-rw-r--r--dev-python/python-dotenv/Manifest1
-rw-r--r--dev-python/python-dotenv/python-dotenv-0.14.0.ebuild36
-rw-r--r--dev-python/python-dotenv/python-dotenv-0.15.0.ebuild4
-rw-r--r--dev-python/pytz/Manifest1
-rw-r--r--dev-python/pytz/pytz-2021.1.ebuild32
20 files changed, 317 insertions, 39 deletions
diff --git a/dev-python/cftime/Manifest b/dev-python/cftime/Manifest
index 2a651f051b41..5e9b696ad9f8 100644
--- a/dev-python/cftime/Manifest
+++ b/dev-python/cftime/Manifest
@@ -1 +1,2 @@
DIST cftime-1.3.0.tar.gz 55668 BLAKE2B c233a3d45305476f422ca93f89348b7b3c018b10c0fa42d6649001b7bcdb4d26d230322108def41818449ec78dc531261b52d09252306fb5889ac4011af33828 SHA512 07f79e902142e8a314c9d09af08ea752454e490c3027ee44853f78c725305bf11cad90bd331edd204defded11e7f29173df9bef70ab805a28b745cc0afdd4685
+DIST cftime-1.4.0.tar.gz 46098 BLAKE2B b1ca1eaec2b0b5015d6d8d512ae831bfb36c59061c094f5eaf5931f85ecabdb1b562d1ab56cb1b0b0fcea36fce15d073411fd9afd955ec864a4ca9a71f0a6a82 SHA512 72862d35cbe32eefb1149b345e63fabf1a58bdb145138ea82fb21aa8b4862abae53a2c7719b8cf56670acdcfa9c7bb090cb35f8c2ea711e23bfb031f72ccdc2f
diff --git a/dev-python/cftime/cftime-1.4.0.ebuild b/dev-python/cftime/cftime-1.4.0.ebuild
new file mode 100644
index 000000000000..5240371abd71
--- /dev/null
+++ b/dev-python/cftime/cftime-1.4.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Time-handling functionality from netcdf4-python"
+HOMEPAGE="https://pypi.org/project/cftime"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # remove pytest-cov dep
+ sed -i -e "/--cov/d" setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/cftime/metadata.xml b/dev-python/cftime/metadata.xml
index ebd158eede3e..14f768a3352f 100644
--- a/dev-python/cftime/metadata.xml
+++ b/dev-python/cftime/metadata.xml
@@ -5,6 +5,10 @@
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<remote-id type="pypi">cftime</remote-id>
<remote-id type="github">Unidata/cftime</remote-id>
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index f5be79496964..479b36671f17 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -1 +1,2 @@
DIST cmd2-1.4.0.tar.gz 660494 BLAKE2B 1a7d5efef704cf3011affa99303233ad9d16e09d16bbe9319324599e6d69b1a664556e9ed406f2a34bfc6021a6d1607a44fd4df9cedbd6688826e0bfe8d91b77 SHA512 1f35e9773578a1d2ea1255cd697754b126c1e90486e84319c0f86ee409ed22bfbc267ff1d3b9af1072985337c9cbc51eac4e288281146d9c20b54c8b364f1547
+DIST cmd2-1.5.0.tar.gz 662624 BLAKE2B ed46c4e70f1e09c612f66333bb601afab0158a899badd2b86ce193f7384c35d32c58d0a1238d5fc2b69adc11a233fba2089b0f4433c7b6159aeb347150128fb2 SHA512 ea7e26370e1f83dc95bd0db8a705ab8ea95935584123f4684e3b8debf23a37fbcadf2bc1634051eaddcaba92f2b22a0ab2582773630fab3d1482b4dc8a23acd6
diff --git a/dev-python/cmd2/cmd2-1.5.0.ebuild b/dev-python/cmd2/cmd2-1.5.0.ebuild
new file mode 100644
index 000000000000..43c03b946f5f
--- /dev/null
+++ b/dev-python/cmd2/cmd2-1.5.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="https://github.com/python-cmd2/cmd2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-1.6.0[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+"
+# pyperclip uses clipboard backends in the following preference order:
+# pygtk, xclip, xsel, klipper, qtpy, pyqt5, pyqt4.
+# klipper is known to be broken in Xvfb, and therefore causes test
+# failures. to avoid them, we must ensure that one of the backends
+# preferred to it is available (i.e. xclip or xsel) + which(1).
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ sys-apps/which
+ || (
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # tests rely on very specific text wrapping...
+ local -x COLUMNS=80
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/flask-paginate/Manifest b/dev-python/flask-paginate/Manifest
index 7a48d44bb85e..9857adce9b85 100644
--- a/dev-python/flask-paginate/Manifest
+++ b/dev-python/flask-paginate/Manifest
@@ -1,2 +1,3 @@
DIST flask-paginate-0.7.0.tar.gz 119358 BLAKE2B 24c1f3bc77853c9c96bb72d3364e73845f8fd0870606dd96b4261861430bef864a6830dd793f4f6e8a9371c89342dda88c5f976d79ff4a1bec7d687614b2014a SHA512 11c335c08c6a9c32999e5b8ba7a76c1fb04769e5ab679b550efc87497446edbaa1e3ccb62a4c238a0b5585f7ba4067e43f158ae123c3b118db84b90cb5d4f219
DIST flask-paginate-0.8.0.tar.gz 119687 BLAKE2B 0c73f1d72938fe2cb322ec53e1ce3df083c81f1b2bc58f150af1e602c7e435aaa844534283f83337cd9840f8ece69620de9e63e3f8017f848b5dc2fb54f19848 SHA512 1958dbf5675b24ae175098c740e08cc3aa9d2088f6f10768083a740fba3a87cf4b5255ddbc5fe72d286fb04817f527fba9fca5b09af2929851c5ac1eefe3b4d7
+DIST flask-paginate-0.8.1.tar.gz 119751 BLAKE2B 954d39e13619784b1a79abc9f26fc2b3827309f9a3b77cacdd40c8f8d9dfec4c2967894e2d571e26841245da6d264dad71a412e425c87aa0c07b3520274de7c4 SHA512 ca226c79bd944a19760048c1289b554ee048f4f8d1f231f5545423843b7c0616d52ee8024cc68628e11c5f528972897d7fdb1630f87063bbd0e40c4dacf91224
diff --git a/dev-python/flask-paginate/flask-paginate-0.8.1.ebuild b/dev-python/flask-paginate/flask-paginate-0.8.1.ebuild
new file mode 100644
index 000000000000..8bc43d1dbc48
--- /dev/null
+++ b/dev-python/flask-paginate/flask-paginate-0.8.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Pagination support for flask"
+HOMEPAGE="https://flask-paginate.readthedocs.io"
+SRC_URI="https://github.com/lixxu/flask-paginate/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ pytest -vv tests/tests.py || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/jupyter_core/Manifest b/dev-python/jupyter_core/Manifest
index ca7f2d8eb8ae..7fa3df2c9901 100644
--- a/dev-python/jupyter_core/Manifest
+++ b/dev-python/jupyter_core/Manifest
@@ -1 +1,2 @@
DIST jupyter_core-4.6.3.tar.gz 67305 BLAKE2B 7c6a32bd8ce773b7bc4156eabf75597112716632179736b19be4b0e73eba7c5c67a0c9d2d141b952d72b68aff826227b0004a3bc9f3b286b68eb1375f2316bdb SHA512 3c7370c24a4cf53c9747e9e411852d207c0c7035809dab7cb018ccb53e19208df25ad4f728531e47f3a42c4d9694c3e1ed7b03133de23bcbdeb346c319f5f51f
+DIST jupyter_core-4.7.1.tar.gz 68886 BLAKE2B aa89351845c669474c03a307934a5d84b6357679bc99f2fc7da4f93ff347766d52ce3551780803b73941d6457f7004306e795398fd390c81e9180193a2119225 SHA512 bc190abd000566dbd097dcb14acf1926c92bb265f2cfbbd14dac6a9cf7d6a02f924ba89fa957ca30c2af57433e9187e288bb8e80d039a3d3a583c6e488a9c80e
diff --git a/dev-python/jupyter_core/jupyter_core-4.7.1.ebuild b/dev-python/jupyter_core/jupyter_core-4.7.1.ebuild
new file mode 100644
index 000000000000..4eb42cc5b1fd
--- /dev/null
+++ b/dev-python/jupyter_core/jupyter_core-4.7.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Core common functionality of Jupyter projects"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="dev-python/traitlets[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinxcontrib-github-alt
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # fails if jupyter is not in system sitedir
+ # (PYTHONPATH is insufficient)
+ jupyter_core/tests/test_command.py::test_not_on_path
+ jupyter_core/tests/test_command.py::test_path_priority
+ # TODO
+ jupyter_core/tests/test_paths.py::test_jupyter_path_prefer_env
+ )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/llfuse/Manifest b/dev-python/llfuse/Manifest
index 10b53ddefdf9..83ada0a50e01 100644
--- a/dev-python/llfuse/Manifest
+++ b/dev-python/llfuse/Manifest
@@ -1,2 +1,3 @@
DIST llfuse-1.3.6.tar.bz2 361750 BLAKE2B 74387a6aeb28c3f49234a4f430c3f2aaeefa2057d69e681405d9588c63b3a6e4a6daa58b8996541825c73ff4dabc5607874c2d7885586d793a6436e3f680aec2 SHA512 d67e39daf65c92ebb5bf69abb0c5dc3a88460228b5ec5ee762a11fc909369562411297e8ff9f512ee1ef539d8abec765924be581703fb7e99963c6512cb1f0bd
DIST llfuse-1.4.0.tar.gz 478758 BLAKE2B bec4d6b53936bc79ab4ca8fce7b34d60e39aff6128a186d58caeac68ad135d7d29bbd667cf669e065256e31e257ff4516ff967759d6152672659df0062d03e6d SHA512 8ab92912279a478ba50cf0c151cce3ce1125de27922a97c4da4b3af4ff0714e3a2c5a9e6fd10b87653eb552509491084f018ae3ce4feb7bf952de00a5be3eccc
+DIST llfuse-1.4.1.tar.gz 774540 BLAKE2B f135ff3cde6effe72f5adf1b9ed58566183775ad45acbd1906db1f5c60a38ab74f0c7b6cda949b3ff2c4b46f036c91e16f9231ede1c78359c87758e6abde9ea4 SHA512 e94045018e9d78b7b16355dd499a27694a77a70d61102d05938223b99686e4b9d90b5e14745d92a187ac8e34aa593a12d99bff1baccb19d4236d54eb66ec3e4f
diff --git a/dev-python/llfuse/llfuse-1.4.1.ebuild b/dev-python/llfuse/llfuse-1.4.1.ebuild
new file mode 100644
index 000000000000..2adce1742d5e
--- /dev/null
+++ b/dev-python/llfuse/llfuse-1.4.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the low-level FUSE API"
+HOMEPAGE="https://github.com/python-llfuse/python-llfuse/ https://pypi.org/project/llfuse/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="doc examples"
+
+RDEPEND="
+ >=sys-fs/fuse-2.8.0:0
+"
+DEPEND="
+ ${RDEPEND}
+ sys-apps/attr
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/llfuse-1.3.5-cflags.patch
+)
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/html/. )
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/markups/Manifest b/dev-python/markups/Manifest
index 71335c820b7b..d70c1e2634cf 100644
--- a/dev-python/markups/Manifest
+++ b/dev-python/markups/Manifest
@@ -1 +1,2 @@
DIST Markups-3.0.0.tar.gz 16966 BLAKE2B 9245b1b0056bda9538fabf8540ddc41f2861a41c2ea42f29da195393bb85a63af1273109cb8f3d15ee4b257774512e3002d95948bab4a4493d89e18d687f19ce SHA512 3dfb97f29e801fa296e7ea22f2693d05fe9a9bfdf6c9b560cf6a44d04abfb6c2ac0717093732b6fbd9ea052ab9f8d054b3aae10a0c16516af3815ca1d720aef5
+DIST Markups-3.1.0.tar.gz 20146 BLAKE2B 426c6f050868e423eeb7f01cee930b088c4b6f7748b7f198f03880cb7d6cc237575c6253d40631aad1601e193ff0e2b587906492c07b953903ee12422e06cb3c SHA512 eaf99b8f521dc93008e0e2519e5c6e8885609457739378d5af6e3aa044a9dd1370bf906a061d8a284d8ad4f9c5196c01a6d8dde3a4630898fe4711154cef7ce0
diff --git a/dev-python/markups/markups-3.1.0.ebuild b/dev-python/markups/markups-3.1.0.ebuild
new file mode 100644
index 000000000000..42f3c186fe47
--- /dev/null
+++ b/dev-python/markups/markups-3.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=${P^}
+
+DESCRIPTION="A wrapper around various text markups"
+HOMEPAGE="
+ https://pymarkups.readthedocs.io/en/latest/
+ https://github.com/retext-project/pymarkups
+ https://pypi.org/project/Markups/
+"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${PN^}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ ' python3_7 pypy3)
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/python-markdown-math[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ test? (
+ app-text/pytextile[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 730eae189ced..218d6395e852 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -4,3 +4,4 @@ DIST pikepdf-2.3.0.tar.gz 2366792 BLAKE2B 3e5d2f460702bbce8ddc22abfb67867b40f75b
DIST pikepdf-2.4.0.tar.gz 2367657 BLAKE2B c6b126f45baef8d3d4bea40851650f6ee2196e60618f490952f74491744b6536a01040de685c5114ec5aad2e8923092498594ae28b9e9f14f2da579816a198e0 SHA512 42af99ed5446171449d46d4dabf444623ce22b81819bbef992735e67a58ed82e343b46779f323b96b35e076014464e50ac0e4f5fd3553482c750488e091b6fd5
DIST pikepdf-2.5.0.tar.gz 2368422 BLAKE2B c30fcd69dd5297b04c0b116355f14a8513ce0a0b8797f3d85672957302275bdb04b382a373d07d40ef3480dc395e51a899eda8e919a74070083fec0209dfaa3c SHA512 0c685985b17388a8d355486a5dc2ee5f4d855f1247977d96dd249744cea347f575770250b1a952fda7821a3f4c830d5e079e15642bc669b70f69f4f2c5bf4dae
DIST pikepdf-2.5.1.tar.gz 2368435 BLAKE2B 19def787013c5ee027a1477fe77dc38d10f1b8f6678f92afe0a7b3fc8e696e12926a80b2034e780c1fd05033ecf2facd6caeefc9062548648f64b0774754f9d5 SHA512 ba514f9a713d1e322224d9e6cb81df3bb399ecf1d54449e7fa171e59ce39bae25564752cfff97a93e2c3674f540cf2143f5ab4ac9dff928c1dfe77415db9dcc1
+DIST pikepdf-2.5.2.tar.gz 2368463 BLAKE2B dcf7e2c6f8a2a9d41073f2528fa6a13d5d79c0915d4dba810fb13a989039beafebbbfe0c8211f0a769ade9889af0c99ce1ca5052c74d0d88d817447dfdb3a7d5 SHA512 52e13805d4712f623af6c91eb287009abb6179d28451ab0a32b3472c4b8e484cc5700c3a32bb98cd7a188d4249128b2a2ef7fb19e8bc5aee4488627df161c38d
diff --git a/dev-python/pikepdf/pikepdf-2.5.2.ebuild b/dev-python/pikepdf/pikepdf-2.5.2.ebuild
new file mode 100644
index 000000000000..6a19c07407cb
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-2.5.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="app-text/qpdf:0="
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/wheel/d' setup.py || die
+ sed -i -e '/-n auto/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/python-dotenv/Manifest b/dev-python/python-dotenv/Manifest
index 53503d1fc364..75e8eca5d6ea 100644
--- a/dev-python/python-dotenv/Manifest
+++ b/dev-python/python-dotenv/Manifest
@@ -1,2 +1 @@
-DIST python-dotenv-0.14.0.tar.gz 29029 BLAKE2B 33db159192faf9b74439b5e98e2b9a090a68001ac19eafd2925071ac7fc1872f7ee585b575dd96615c2ef934041dbfacca7948b7a8a69419243f9823f3bf6b42 SHA512 e8f6d575cd76cb231d14d98befe8a75017c927e0de39fbffc0ecb852b2aab1ada964cf37ed51c50968a4e8a96822a794c960a058a6deb6a2f0a8f8061d0560df
DIST python-dotenv-0.15.0.tar.gz 30008 BLAKE2B 1a406145f0d0497aa037dc95b80fb04854b2889ba4014e4689a24b142d5d71c49d24ac60406f8b2dc873e661c19e36604ef58eb03c7bc9f890f6d4561be199a6 SHA512 f1f16d2688041259027b12920ac5f47c2d1d96cfc3ec8a362a05ddfb13fee2cf4926c20ad38eda521fcafb6eef8d7895d86dedadef1b1ea2ecd7e33734b07cbe
diff --git a/dev-python/python-dotenv/python-dotenv-0.14.0.ebuild b/dev-python/python-dotenv/python-dotenv-0.14.0.ebuild
deleted file mode 100644
index 65b84263c58d..000000000000
--- a/dev-python/python-dotenv/python-dotenv-0.14.0.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="Manage .env files"
-HOMEPAGE="https://github.com/theskumar/python-dotenv"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm64 ~x86"
-IUSE="test"
-
-DEPEND="test? (
- >=dev-python/click-5[${PYTHON_USEDEP}]
- dev-python/ipython[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- >=dev-python/sh-1.09[${PYTHON_USEDEP}]
- )"
-
-DOCS=( CHANGELOG.md README.md )
-
-distutils_enable_tests pytest
-
-python_test() {
- # Tests call the "dotenv" command which needs to be in PATH
- # https://bugs.gentoo.org/743784
- distutils_install_for_testing
- pytest -vv || die "Tests fail with ${EPYTHON}"
-}
diff --git a/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild b/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild
index c71e152ae8bf..4f4277ec312e 100644
--- a/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild
+++ b/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 ~x86"
IUSE="test"
DEPEND="test? (
diff --git a/dev-python/pytz/Manifest b/dev-python/pytz/Manifest
index 13d5040e6f8e..8cc3cd00a6dd 100644
--- a/dev-python/pytz/Manifest
+++ b/dev-python/pytz/Manifest
@@ -1,2 +1,3 @@
DIST pytz-2020.4.tar.gz 310941 BLAKE2B 8abe524ccb7ed676c64dbc129ade5d6562980ea28f8939a3a7a406acf16a8a936e79ff630bf37884610e8936dfe96311ecb752f3b79519a126e1f1ac48883842 SHA512 dcbe763bc6e48c52df855fe03a8109dc0656a0e851324c0468f4307e8aff60e577fe0c9f0b062319e90d2f639b96e98edf8346064705e244143386c863a0aa7c
DIST pytz-2020.5.tar.gz 314194 BLAKE2B c374e0ee803878ad2dde1ef03c108f59f431d645d8067fb9f183b9feb029b4de283477e7f6c146a6d03462bd5cb4fc98118e03601c838f73903f5f7a7d28bf8f SHA512 0845c0b7cefb8732e3016568b17ae73232fe6537bac6da89cb1bf911ba5786ee1be6b5e3aa8767225291e3a7e9afd5b8e40e4051671a3a006f9e2f71c551e13e
+DIST pytz-2021.1.tar.gz 317945 BLAKE2B 5d8b5ac80a9d5be56977df8a422e9f008ccb1afb9468155c53aa97f0bf43ba15c27fd30ee7be035be6fa590dcb272991a069cd1383f1c6c8d378958d7b0c4970 SHA512 507e24e3c5c2c619d9f3c7f4c33d44d262e33656b07701d0db78f5d67b263ad845dccc4ff50e48c580b0f295cf97ed146af7b9259890a50bb6da4c82b70c439b
diff --git a/dev-python/pytz/pytz-2021.1.ebuild b/dev-python/pytz/pytz-2021.1.ebuild
new file mode 100644
index 000000000000..d900669197e0
--- /dev/null
+++ b/dev-python/pytz/pytz-2021.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="World timezone definitions for Python"
+HOMEPAGE="https://pythonhosted.org/pytz/ https://pypi.org/project/pytz/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+DEPEND="
+ || ( >=sys-libs/timezone-data-2017a sys-libs/glibc[vanilla] )"
+RDEPEND="${DEPEND}"
+BDEPEND="app-arch/unzip"
+
+PATCHES=(
+ # Use timezone-data zoneinfo.
+ "${FILESDIR}"/pytz-2020.5-system-zoneinfo.patch
+)
+
+python_test() {
+ "${EPYTHON}" pytz/tests/test_tzinfo.py -v || die "Tests fail with ${EPYTHON}"
+}